CDTOOL2CDDB(1)

NAME
cdtool2cddb - convert .cdtooldb file to set of CDDB files

SYNOPSIS
cdtool2cddb [-rvx] [-d dir] [-l len] [input...]

DESCRIPTION
cdtool2cddb converts one or more .cdtooldb files to CDDB-format files suitable for using with many CD player applications. The output is a set of files, each named for the 32-bit hexadecimal CDDB ID number of a given audio CD. These files are placed in the current directory unless -d is specified.

OPTIONS

-d directory
    Specify the output directory. This is where the 8-digit output filenames go. There will be one file for each CD definition in your .cdtooldb file(s).

-l length
    Specify the maximum line length for the output file. Comment lines may be any length, but the CDDB format specifies that data lines must wrap at 76 characters. Thus, this is the default for cdtool2cddb, but you may change it if you wish.

-r  At least one CD player application (groovycd) requires lines of its CDDB files to end with CR-LF, because they come over the network that way. The -r option tells cdtool2cddb to output such lines; otherwise lines will end with LF only.

-v  Increment the verbosity level.

-x  Use an alternate identification string in the output file. If you wish to upload a CDDB file to a CDDB server via e-mail, the server will probably check the ID string in the file to make sure it is from a "trusted" CD player application. cdtool is not trusted, but xmcd is, so the -x option pretends we are xmcd.

FILES

~/.cdtooldb
    A typical cdtooldb input file

/var/lib/cddb/misc, ~/.groovycd
    Typical output directories (see -d).

SEE ALSO
cdir(1), cdown(1), cdadd(1)

AUTHOR
Peter Samuelson <peter@cadcamlab.org>